echo ""
echo ""
echo ""
echo ""
echo ""
echo ""
ODPPLIBPATH=""
ODPPUDFPATH=""
UDFDB=""
echo "Script to register Netezza User Defined Function. This script requires 3 inputs from the user"
echo ""
echo "1.) Path to the Netezza ODPP libraries. Typically this would be the location where you copied all the ODPP binaries"
echo "2.) Path to the Netezza UDF binaries nzudf.o_x86 and nzudf.o_spu10"
echo "3.) Database to configure the UDFs"
echo ""
echo ""
echo "Please enter the path of ODPP libraries:"
read ODPPLIBPATH
if [ "$ODPPLIBPATH" == '' ]
then
   echo "No path specified for ODPP libraries"
   exit 1 
fi

echo ""
echo "Please enter the path of Netezza UDF binaries:"
read ODPPUDFPATH

if [ "$ODPPUDFPATH" == '' ]
then
   echo "No path specified for UDFs binaries"
   exit 1
fi

echo ""
echo "Please enter the Database name to configure the UDFs:"
read UDFDB
if [ "$UDFDB" == '' ]
then
   echo "No Database name specified for UDFs"
   exit 1 
fi

echo ""
echo ""
echo "Database name is " $UDFDB
echo "ODPP Library path is " $ODPPLIBPATH
echo "UDF Binaries Path is " $ODPPUDFPATH
export UDFDB
export ODPPLIBPATH
export ODPPUDFPATH
echo ""
echo ""
echo "Registering libraries in the database"
sh nzudfs.sh
echo ""
echo ""
echo "Registration Completed"


