################################################################################
#
#   Licensed Materials - Property of IBM
#
#   "Restricted Materials of IBM"
#
#   5724-U38, 5724-U39, 5724-U48
#
#    Copyright IBM Corp. 2012 All Rights Reserved
#
#    Copyright 2017 UNICOM® Systems, Inc. - All Rights Reserved
#
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
################################################################################
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPOSLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPOSLibUnix.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPOSLibUnix.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPENVLib DEPENDENCIES ODPPOSLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPEnvLib.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPEnvLib.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY icudata48 automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libicudata.so.48' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libicudata.so.48'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY icuuc48 DEPENDENCIES icudata48 automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libicuuc.so.48' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libicuuc.so.48'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPICULib DEPENDENCIES ODPPOSLib,icuuc48,icudata48,ODPPENVLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPICULib.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPICULib.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPDataCnvLib DEPENDENCIES ODPPOSLib,ODPPICULib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPDataCnvLib.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPDataCnvLib.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPConvert DEPENDENCIES ODPPOSLib,ODPPICULib,ODPPDataCnvLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPConvert.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPConvert.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPERRLib DEPENDENCIES ODPPDataCnvLib, ODPPENVLib automatic load  EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPErrorHandler.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPErrorHandler.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPProvider113 DEPENDENCIES ODPPOSLib, icuuc48, ODPPDataCnvLib, ODPPENVLib,ODPPERRLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPProvider.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPProvider.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY antlr3c automatic load  EXTERNAL HOST OBJECT '$ODPPLIBPATH/libantlr3c.so' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libantlr3c.so'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPParserLib DEPENDENCIES ODPPDataCnvLib, ODPPOSLib, ODPPENVLib, ODPPERRLib, antlr3c automatic load  EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPParser.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPParser.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPPAdapterLib DEPENDENCIES ODPPDataCnvLib, ODPPOSLib, ODPPENVLib, ODPPERRLib automatic load  EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPPAdapter.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPPAdapter.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE LIBRARY ODPCCNPrvLib DEPENDENCIES ODPPDataCnvLib, ODPPOSLib automatic load EXTERNAL HOST OBJECT '$ODPPLIBPATH/libODPCCNPrvLib.so.11.3' EXTERNAL SPU OBJECT '$ODPPLIBPATH/libODPCCNPrvLib.so.11.3'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskStrLatin(VARARGS) RETURNS VARCHAR(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'length'='800', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT' EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskINT64(VARARGS) RETURNS BIGINT LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskDOUBLE(VARARGS) RETURNS double LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113 , ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskNum18S2(VARARGS) RETURNS numeric(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'precision'='18', 'scale'='2', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskNum18S4(VARARGS) RETURNS numeric(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'precision'='18', 'scale'='4', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskNum18S6(VARARGS) RETURNS numeric(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'precision'='18', 'scale'='6', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskTIME(VARARGS) RETURNS TIME LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskDATE(VARARGS) RETURNS DATE LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskTIMESTAMP(VARARGS) RETURNS TIMESTAMP LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskStrUtf8(VARARGS) RETURNS NVARCHAR(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'length'='800', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(varchar(800), varchar(any)) RETURNS VARCHAR(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'length'='800', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(nvarchar(800), varchar(any)) RETURNS NVARCHAR(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'length'='800', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(numeric(18,0), varchar(any)) RETURNS numeric(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'precision'='18', 'scale'='0', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMaskNum(numeric(18,0), varchar(any)) RETURNS numeric(ANY) LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'precision'='18', 'scale'='0', 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(timestamp, varchar(any)) RETURNS TIMESTAMP LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT  NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(bigint, varchar(any)) RETURNS BIGINT LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
nzsql -d $UDFDB -c "CREATE OR REPLACE FUNCTION OptimMask(double, varchar(any)) RETURNS double LANGUAGE CPP PARAMETER STYLE NPSGENERIC API VERSION 2 NOT FENCED CALLED ON NULL INPUT NOT DETERMINISTIC ENVIRONMENT 'ODPPLIBL'='$ODPPLIBPATH', 'ODPPICUDIR'='$ODPPLIBPATH', 'ODPPLL'='$ODPPLIBPATH', 'ODPPTRC'='$ODPPUDFTRCOPT'  EXTERNAL CLASS NAME 'COptimMask' DEPENDENCIES ODPProvider113, ODPPParserLib, ODPPAdapterLib, ODPPConvert, ODPPERRLib EXTERNAL HOST OBJECT '$ODPPUDFPATH/nzudf.o_x86' EXTERNAL SPU OBJECT '$ODPPUDFPATH/nzudf.o_spu10'"
